﻿using System;
using System.Collections.ObjectModel;
using Syncfusion.SfSchedule.XForms;
using Xamarin.Forms;

namespace Appointment_CustomView
{
	public class ScheduleSample_Page : ContentPage
	{
		ScheduleAppointmentMapping dataMapping;
		ObservableCollection<Meeting> meetings;
		ScheduleViewModel viewModel;
		SfSchedule schedule;

		public ScheduleSample_Page()
		{
			schedule = new SfSchedule();
			viewModel = new ScheduleViewModel();
			meetings = new ObservableCollection<Meeting>();

			schedule.BindingContext = viewModel;

			dataMapping = new ScheduleAppointmentMapping();
			dataMapping.SubjectMapping = "EventName";
			dataMapping.StartTimeMapping = "From";
			dataMapping.EndTimeMapping = "To";
			dataMapping.ColorMapping = "color";
			schedule.AppointmentMapping = dataMapping;
			meetings = viewModel.ListOfMeeting;
			schedule.DataSource = meetings;
			schedule.AppointmentViewLayout = ViewLayoutOptions.Default;

			schedule.OnAppointmentLoadedEvent += Schedule_OnAppointmentLoadedEvent;

			schedule.ShowAppointmentsInline = true;
			schedule.ScheduleView = ScheduleView.DayView;

			this.Content = schedule;

		}

		void Schedule_OnAppointmentLoadedEvent(object sender, AppointmentLoadedEventArgs args)
		{
			StackLayout stack = new StackLayout();
			stack.BackgroundColor = Color.Black;

			Button button = new Button();
			button.Text = "click";
			button.TextColor = Color.Blue;
			//button.Image = "user.png";
			button.BackgroundColor = Color.Red;

			if (Device.OS == TargetPlatform.Android)
			{
				button.Margin = new Thickness(-10, -10, -10, -10);
			}
			button.WidthRequest = args.Bounds.Width;
			button.HeightRequest = args.Bounds.Height;

			stack.Children.Add(button);
			args.view = stack;
		}

	}
}
